package com.mosty.yjzl.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.query.yjzl.TbYjxxRyQuery;
import com.mosty.base.model.vo.yjzl.TbYjxxRyVo;

import java.util.List;

/**
 * <p>
 * 预警信息-人员表 服务类
 * </p>
 *
 * @author zengbo
 * @since 2022-07-19
 */
public interface TbYjxxRyService {

    /**
     * 分页查询预警信息-人员表
     * @param tbYjxxRyQuery
     * @return
     */
    IPage<TbYjxxRyVo> queryByPage(TbYjxxRyQuery tbYjxxRyQuery);

    /**
     * 不分页查询预警信息-人员表
     * @param tbYjxxRyQuery
     * @return
     */
    List<TbYjxxRyVo> queryList(TbYjxxRyQuery tbYjxxRyQuery);

    /**
     * 新增预警信息-人员表
     * @param ryVo
     */
    int insert(TbYjxxRyVo ryVo);

    /**
     * 修改预警信息-人员表
     * @param ryVo
     */
    int update(TbYjxxRyVo ryVo);

    /**
     * 根据ID删除
     * @param list
     * @return
     */
    int deleteById(List<String> list);

    /**
     * 根据ID查询
     * @param id
     * @return
     */
    TbYjxxRyVo queryById(String id);

}
